LuceneTestCaseRunner (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.LuceneTestCaseRunner class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class LuceneTestCaseRunner

    java.lang.Object
      org.junit.runner.Runner
          org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>
              org.junit.runners.BlockJUnit4ClassRunner
                  org.apache.lucene.util.LuceneTestCaseRunner

All Implemented Interfaces:
  org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Sortable

    public class LuceneTestCaseRunner

extends org.junit.runners.BlockJUnit4ClassRunner

optionally filters the tests to be run by TEST_METHOD

Constructor Summary
`LuceneTestCaseRunner(Class<?> clazz)`

Method Summary
`protected List<org.junit.runners.model.FrameworkMethod>` | `computeTestMethods()`
`protected void` | `runChild(org.junit.runners.model.FrameworkMethod arg0, org.junit.runner.notification.RunNotifier arg1)`

Methods inherited from class org.junit.runners.BlockJUnit4ClassRunner
`collectInitializationErrors, createTest, describeChild, getChildren, getTestRules, methodBlock, methodInvoker, possiblyExpectingExceptions, rules, testName, validateConstructor, validateInstanceMethods, validateNoNonStaticInnerClass, validateOnlyOneConstructor, validateTestMethods, validateZeroArgConstructor, withAfters, withBefores, withPotentialTimeout`

Methods inherited from class org.junit.runners.ParentRunner
`childrenInvoker, classBlock, classRules, filter, getDescription, getName, getRunnerAnnotations, getTestClass, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneTestCaseRunner

    public LuceneTestCaseRunner(Class<?> clazz)
                         throws org.junit.runners.model.InitializationError

Throws:
  `org.junit.runners.model.InitializationError`

Method Detail

### computeTestMethods

    protected List<org.junit.runners.model.FrameworkMethod> computeTestMethods()

  Overrides:
    `computeTestMethods` in class `org.junit.runners.BlockJUnit4ClassRunner`

### runChild

    protected void runChild(org.junit.runners.model.FrameworkMethod arg0,
                            org.junit.runner.notification.RunNotifier arg1)

  Overrides:
    `runChild` in class `org.junit.runners.BlockJUnit4ClassRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD